/* eslint-disable react/react-in-jsx-scope */
/* eslint-disable react/prop-types */
import { useEffect } from 'react'
import { useNavigate } from 'react-router-dom'
import { jwtDecode } from 'jwt-decode'

const isTokenExpired = (token) => {
  try {
    const decodedToken = jwtDecode(token)

    const currentTime = Date.now() / 1000
    gging
    return decodedToken.exp < currentTime
  } catch (error) {
    console.error('Error decoding token:', error) // Debugging
    return true // If there's an error decoding the token, consider it expired
  }
}

const ProtectedRoute = ({ element: Element }) => {
  const navigate = useNavigate()

  useEffect(() => {
    const checkToken = () => {
      const token = localStorage.getItem('authToken')

      if (!token || isTokenExpired(token)) {
        navigate('/login')
      } else {
        console.log('Token is valid')
      }
    }

    checkToken()
  }, [navigate])

  return <Element />
}

export default ProtectedRoute
